Subject: M-x should prompt with function under cursor as default

From: [email-masked]
Date: Wed, 04 Jun 2008 06:53:40 +0800

Today I was reading a message where this guy said
> FWIW, there are also `customize-apropos' and `customize-apropos-options'.
So I put the cursor upon the word customize-apropos-options and typed M-x,
and would you believe I had to help emacs figure out what I wanted to do,
which was of course to type M-x customize-apropos-options.
(Yes, with the assistance of TAB.)

Compare C-h f (describe-function) with the cursor in that position. It
knows what to do: prompt with what it finds under the cursor.

P.S., I cannot help with patches because I am too busy reporting bugs
I encounter in the surface interface, which I am much better at doing
than coding. Each person has things they are better at doing.